Bug 243533 - My headphones do not work with Kernel 2.6.21 but they do with 2.6.20
My headphones do not work with Kernel 2.6.21 but they do with 2.6.20
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-06-09 10:51 EDT by Alberto Milone
Modified: 2008-01-09 09:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-09 09:03:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
the output of lsmod and lspci (4.99 KB, text/plain)
2007-06-09 10:51 EDT, Alberto Milone
no flags Details

  None (edit)
Description Alberto Milone 2007-06-09 10:51:09 EDT
Description of problem:
The headphones (or any other device, such as my stereo) won't work with Kernel
2.6.21. If I don't use my headphones, stereo, etc. the sound does work.

The headphones work well with kernel 2.6.20. I think the problem is upstream
since I can reproduce the problem on Debian (Sid) as well. Using a 2.6.21
vanilla kernel doesn't solve the problem.

My laptop is a Fujitsu-Siemens amilo 1520Si and it's sound card is detected as
"Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio
Controller (rev 02)"

Version-Release number of selected component (if applicable):

How reproducible:
Plug in your headphones and try to play a sound file

Steps to Reproduce:
Actual results:
No sound can be heard from the headphones or from any other external device.

Expected results:
The headphones should work as they do if I use kernel 2.6.20

Additional info:
I am attaching the output of lsmod and lspci
Comment 1 Alberto Milone 2007-06-09 10:51:09 EDT
Created attachment 156649 [details]
the output of lsmod and lspci
Comment 2 Christopher Brown 2007-09-16 16:13:31 EDT

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.


I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Comment 3 Christopher Brown 2008-01-09 09:03:17 EST
As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

Note You need to log in before you can comment on or make changes to this bug.